<big id="yeiyz"><ruby id="yeiyz"></ruby></big>
    <track id="yeiyz"></track>
    <track id="yeiyz"></track>
    <p id="yeiyz"><del id="yeiyz"></del></p><td id="yeiyz"><option id="yeiyz"></option></td>
    1. <p id="yeiyz"></p>

      <td id="yeiyz"></td>

      Android:部分用戶安裝APK時提示“解析包出現問題”,求大神解答

      超越未來michael 發布于 06/18 10:48
      閱讀 431
      收藏 0

      RT,原來只用V1簽名,現在添加V2后,還是有用戶反映不能安裝, 我的配置是      

      minSdkVersion 21
      targetSdkVersion 28。

      加載中
      0
      律師函他
      律師函他

      是不是打了多渠道包

      律師函他
      律師函他
      回復 @超越未來michael : ndk支持,只會在運行時異常,并不導致“解析包出現問題”
      超越未來michael
      超越未來michael
      沒有,我的ndk只支持 abiFilters 'armeabi-v7a',這有關系嗎?
      0
      z
      zdglf

      是不是少了v1簽名,只加了v2簽名?

      z
      zdglf
      回復 @超越未來michael : 應該不是這個問題,你的minSdk都到21了。不支持sha256withrsa的簽名算法的設備是18以下的。
      超越未來michael
      超越未來michael
      回復 @zdglf : 簽名文件是以前的人留下的,不知道他是怎么生成的,現在也不能改簽名文件了
      z
      zdglf
      回復 @zdglf : 錯了,簽名算法。
      z
      zdglf
      回復 @超越未來michael : 如果只用v2的話,就會出問題。之前我也出現過。還有個就簽名證書最好要sha1withrsa。低版本的不支持sha256withrsa。
      超越未來michael
      超越未來michael
      目前是都已經添加上,以前只有v1簽名。公司內的測試機都沒問題,用戶那邊還不知道什么機型
      返回頂部
      頂部
      聚看影院